midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | Safe-Inferred

Sound.MIDI.Parser.Report

Description

Definition of a datatype that reports on the success of a parser.

Synopsis

- data T a = Cons {
  - warnings :: [UserMessage]
  - result :: Either UserMessage a
  }
- type UserMessage = String

# Documentation

data T a Source

This datatype is the result of a parser. First it stores a sequence of warnings. Warnings are for corruptions of the input which can be fixed. After encountering a series of warnings, there is finally an end, either a successful one, with the result as `(Right result)` or an eventual non-fixable problem indicated by `(Left errorMessage)`.

Constructors

Cons |

Fields

warnings :: [UserMessage]
result :: Either UserMessage a

Instances

Eq a => Eq (T a) |
Show a => Show (T a) |

type UserMessage = String Source